### Home Classes Methods

### In Files

- lib/json/add/regexp.rb

### Parent

Object

### Methods

- ::json_create
- #as_json
- #to_json

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- JSON
- JSON::Ext
- JSON::GeneratorError
- JSON::GenericObject
- JSON::JSONError
- JSON::MissingUnicodeSupport
- JSON::NestingError
- JSON::ParserError
- JSON::Pure
- JSON::Pure::Generator
- JSON::Pure::Generator::GeneratorMethods
- JSON::Pure::Generator::GeneratorMethods::Array
- JSON::Pure::Generator::GeneratorMethods::FalseClass
- JSON::Pure::Generator::GeneratorMethods::Float
- JSON::Pure::Generator::GeneratorMethods::Hash
- JSON::Pure::Generator::GeneratorMethods::Integer
- JSON::Pure::Generator::GeneratorMethods::NilClass
- JSON::Pure::Generator::GeneratorMethods::Object
- JSON::Pure::Generator::GeneratorMethods::String
- JSON::Pure::Generator::GeneratorMethods::String::Extend
- JSON::Pure::Generator::GeneratorMethods::TrueClass
- JSON::Pure::Generator::State
- JSON::Pure::Parser
- JSON::UnparserError
- BigDecimal
- Class
- Complex
- Date
- DateTime
- Exception
- Kernel
- OpenStruct
- Range
- Rational
- Regexp
- Struct
- Symbol
- Time

No matching classes.

# Regexp

Regexp serialization/deserialization

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by constructing new Regexp object with source `s` (Regexp or String) and options `o` serialized by `to_json`

    # File lib/json/add/regexp.rb, line 11
    def self.json_create(object)
      new(object['s'], object['o'])
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/regexp.rb, line 17
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'o'            => options,
        's'            => source,
      }
    end

to_json(*) click to toggle source

Stores class name (Regexp) with options `o` and source `s` (Regexp or String) as JSON string

    # File lib/json/add/regexp.rb, line 27
    def to_json(*)
      as_json.to_json
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.